Team · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/team/conflicts
Aktuelle Synchronisierungskonflikte anzeigen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"kind",
"name",
"token",
"local",
"cloud",
"can_keep_local"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"anyOf": [
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"trash"
]
}
]
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"local": {
"type": "string"
},
"cloud": {
"type": "string"
},
"can_keep_local": {
"type": "boolean"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Aktuelle Synchronisierungskonflikte anzeigen",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"kind",
"name",
"token",
"local",
"cloud",
"can_keep_local"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"anyOf": [
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"trash"
]
}
]
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"local": {
"type": "string"
},
"cloud": {
"type": "string"
},
"can_keep_local": {
"type": "boolean"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/conflicts/resolve
Angezeigten Synchronisierungskonflikt auflösen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"token",
"choice"
],
"properties": {
"token": {
"type": "string",
"minLength": 64,
"maxLength": 64
},
"choice": {
"anyOf": [
{
"type": "string",
"enum": [
"local"
]
},
{
"type": "string",
"enum": [
"cloud"
]
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Angezeigten Synchronisierungskonflikt auflösen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"token",
"choice"
],
"properties": {
"token": {
"type": "string",
"minLength": 64,
"maxLength": 64
},
"choice": {
"anyOf": [
{
"type": "string",
"enum": [
"local"
]
},
{
"type": "string",
"enum": [
"cloud"
]
}
]
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/synchronize
Automatischen Cloud-Profilabgleich jetzt ausführen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
"target_team": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"transfer"
]
},
{
"type": "string",
"enum": [
"share"
]
}
]
},
"completed": {
"type": "boolean"
}
}
}
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"phase",
"started_at",
"updated_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"preparing"
]
},
{
"type": "string",
"enum": [
"uploading"
]
},
{
"type": "string",
"enum": [
"downloading"
]
},
{
"type": "string",
"enum": [
"applying"
]
}
]
},
"started_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Automatischen Cloud-Profilabgleich jetzt ausführen",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
"target_team": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"transfer"
]
},
{
"type": "string",
"enum": [
"share"
]
}
]
},
"completed": {
"type": "boolean"
}
}
}
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"phase",
"started_at",
"updated_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"preparing"
]
},
{
"type": "string",
"enum": [
"uploading"
]
},
{
"type": "string",
"enum": [
"downloading"
]
},
{
"type": "string",
"enum": [
"applying"
]
}
]
},
"started_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/group-sync/{id}
Automatischen Cookie- oder Browserdatenabgleich einer lokalen Gruppe einstellen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"anyOf": [
{
"type": "null"
},
{
"type": "object",
"required": [
"remote_group_id",
"mode"
],
"properties": {
"remote_group_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
},
"additionalProperties": false
}
]
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Automatischen Cookie- oder Browserdatenabgleich einer lokalen Gruppe einstellen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"anyOf": [
{
"type": "null"
},
{
"type": "object",
"required": [
"remote_group_id",
"mode"
],
"properties": {
"remote_group_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
},
"additionalProperties": false
}
]
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/team/profiles/{id}
Team-Freigabe einschließlich aller Serverversionen löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Freigabe einschließlich aller Serverversionen löschen",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/team/profiles/{id}/versions/{version}
Alte Serverversion einer Team-Freigabe löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
version | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Alte Serverversion einer Team-Freigabe löschen",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/hosted/config
Freigabe der lokalen Browserausführung anzeigen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"max_sessions": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Freigabe der lokalen Browserausführung anzeigen",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"max_sessions": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/hosted/config
Lokale Profile zur Browserausführung auf dem Teamhost freigeben
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 500,
"uniqueItems": true
},
"max_sessions": {
"type": "integer",
"minimum": 1,
"maximum": 20
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"max_sessions": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Lokale Profile zur Browserausführung auf dem Teamhost freigeben",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 500,
"uniqueItems": true
},
"max_sessions": {
"type": "integer",
"minimum": 1,
"maximum": 20
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"profile_ids",
"max_sessions"
],
"properties": {
"enabled": {
"type": "boolean"
},
"profile_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"max_sessions": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/hosted/profiles
Ausführbare Profile und Sitzungen auf dem Teamhost
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"max_sessions",
"items"
],
"properties": {
"enabled": {
"type": "boolean"
},
"max_sessions": {
"type": "integer"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"session"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"session": {
"anyOf": [
{
"type": "object",
"required": [
"remote_id",
"member_id",
"member_name",
"state",
"browser"
],
"properties": {
"remote_id": {
"type": "string"
},
"member_id": {
"type": "string"
},
"member_name": {
"type": "string"
},
"state": {
"anyOf": [
{
"type": "string",
"enum": [
"starting"
]
},
{
"type": "string",
"enum": [
"running"
]
},
{
"type": "string",
"enum": [
"stopping"
]
}
]
},
"browser": {
"anyOf": [
{
"type": "object",
"required": [
"profile_id",
"profile_no",
"session_id",
"pid",
"debug_port",
"ws_endpoint",
"http",
"webdriver",
"kernel",
"relay_port",
"exit_ip",
"proxy_country",
"timezone",
"languages",
"started_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"profile_no": {
"type": "integer"
},
"session_id": {
"type": "string"
},
"pid": {
"type": "integer"
},
"debug_port": {
"type": "integer"
},
"ws_endpoint": {
"type": "string"
},
"http": {
"type": "string"
},
"webdriver": {
"type": [
"string",
"null"
]
},
"kernel": {
"type": "object",
"required": [
"engine",
"version",
"build",
"source"
],
"properties": {
"engine": {
"type": "string"
},
"version": {
"type": "string"
},
"build": {
"type": "string"
},
"source": {
"type": "string"
}
}
},
"relay_port": {
"type": [
"integer",
"null"
]
},
"exit_ip": {
"type": [
"string",
"null"
]
},
"proxy_country": {
"type": [
"string",
"null"
]
},
"timezone": {
"type": [
"string",
"null"
]
},
"languages": {
"type": "array",
"items": {
"type": "string"
}
},
"started_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Ausführbare Profile und Sitzungen auf dem Teamhost",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled",
"max_sessions",
"items"
],
"properties": {
"enabled": {
"type": "boolean"
},
"max_sessions": {
"type": "integer"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"session"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"session": {
"anyOf": [
{
"type": "object",
"required": [
"remote_id",
"member_id",
"member_name",
"state",
"browser"
],
"properties": {
"remote_id": {
"type": "string"
},
"member_id": {
"type": "string"
},
"member_name": {
"type": "string"
},
"state": {
"anyOf": [
{
"type": "string",
"enum": [
"starting"
]
},
{
"type": "string",
"enum": [
"running"
]
},
{
"type": "string",
"enum": [
"stopping"
]
}
]
},
"browser": {
"anyOf": [
{
"type": "object",
"required": [
"profile_id",
"profile_no",
"session_id",
"pid",
"debug_port",
"ws_endpoint",
"http",
"webdriver",
"kernel",
"relay_port",
"exit_ip",
"proxy_country",
"timezone",
"languages",
"started_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"profile_no": {
"type": "integer"
},
"session_id": {
"type": "string"
},
"pid": {
"type": "integer"
},
"debug_port": {
"type": "integer"
},
"ws_endpoint": {
"type": "string"
},
"http": {
"type": "string"
},
"webdriver": {
"type": [
"string",
"null"
]
},
"kernel": {
"type": "object",
"required": [
"engine",
"version",
"build",
"source"
],
"properties": {
"engine": {
"type": "string"
},
"version": {
"type": "string"
},
"build": {
"type": "string"
},
"source": {
"type": "string"
}
}
},
"relay_port": {
"type": [
"integer",
"null"
]
},
"exit_ip": {
"type": [
"string",
"null"
]
},
"proxy_country": {
"type": [
"string",
"null"
]
},
"timezone": {
"type": [
"string",
"null"
]
},
"languages": {
"type": "array",
"items": {
"type": "string"
}
},
"started_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/hosted/profiles/{id}/start
Freigegebenen Browser auf dem lokalen Teamhost starten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"remote_id",
"member_id",
"member_name",
"state",
"browser"
],
"properties": {
"remote_id": {
"type": "string"
},
"member_id": {
"type": "string"
},
"member_name": {
"type": "string"
},
"state": {
"anyOf": [
{
"type": "string",
"enum": [
"starting"
]
},
{
"type": "string",
"enum": [
"running"
]
},
{
"type": "string",
"enum": [
"stopping"
]
}
]
},
"browser": {
"anyOf": [
{
"type": "object",
"required": [
"profile_id",
"profile_no",
"session_id",
"pid",
"debug_port",
"ws_endpoint",
"http",
"webdriver",
"kernel",
"relay_port",
"exit_ip",
"proxy_country",
"timezone",
"languages",
"started_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"profile_no": {
"type": "integer"
},
"session_id": {
"type": "string"
},
"pid": {
"type": "integer"
},
"debug_port": {
"type": "integer"
},
"ws_endpoint": {
"type": "string"
},
"http": {
"type": "string"
},
"webdriver": {
"type": [
"string",
"null"
]
},
"kernel": {
"type": "object",
"required": [
"engine",
"version",
"build",
"source"
],
"properties": {
"engine": {
"type": "string"
},
"version": {
"type": "string"
},
"build": {
"type": "string"
},
"source": {
"type": "string"
}
}
},
"relay_port": {
"type": [
"integer",
"null"
]
},
"exit_ip": {
"type": [
"string",
"null"
]
},
"proxy_country": {
"type": [
"string",
"null"
]
},
"timezone": {
"type": [
"string",
"null"
]
},
"languages": {
"type": "array",
"items": {
"type": "string"
}
},
"started_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Freigegebenen Browser auf dem lokalen Teamhost starten",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"remote_id",
"member_id",
"member_name",
"state",
"browser"
],
"properties": {
"remote_id": {
"type": "string"
},
"member_id": {
"type": "string"
},
"member_name": {
"type": "string"
},
"state": {
"anyOf": [
{
"type": "string",
"enum": [
"starting"
]
},
{
"type": "string",
"enum": [
"running"
]
},
{
"type": "string",
"enum": [
"stopping"
]
}
]
},
"browser": {
"anyOf": [
{
"type": "object",
"required": [
"profile_id",
"profile_no",
"session_id",
"pid",
"debug_port",
"ws_endpoint",
"http",
"webdriver",
"kernel",
"relay_port",
"exit_ip",
"proxy_country",
"timezone",
"languages",
"started_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"profile_no": {
"type": "integer"
},
"session_id": {
"type": "string"
},
"pid": {
"type": "integer"
},
"debug_port": {
"type": "integer"
},
"ws_endpoint": {
"type": "string"
},
"http": {
"type": "string"
},
"webdriver": {
"type": [
"string",
"null"
]
},
"kernel": {
"type": "object",
"required": [
"engine",
"version",
"build",
"source"
],
"properties": {
"engine": {
"type": "string"
},
"version": {
"type": "string"
},
"build": {
"type": "string"
},
"source": {
"type": "string"
}
}
},
"relay_port": {
"type": [
"integer",
"null"
]
},
"exit_ip": {
"type": [
"string",
"null"
]
},
"proxy_country": {
"type": [
"string",
"null"
]
},
"timezone": {
"type": [
"string",
"null"
]
},
"languages": {
"type": "array",
"items": {
"type": "string"
}
},
"started_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/hosted/profiles/{id}/stop
Eigene Host-Sitzung beenden
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Eigene Host-Sitzung beenden",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/profile-groups
Zugängliche Team-Profilgruppen auflisten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Zugängliche Team-Profilgruppen auflisten",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/profile-groups
Team-Profilgruppe erstellen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"member_ids"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Profilgruppe erstellen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"member_ids"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/profile-groups/{id}
Team-Profilgruppe ändern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"member_ids"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Profilgruppe ändern",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"member_ids"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"member_ids",
"profiles"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"profiles": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/team/profile-groups/{id}
Nicht verwendete Team-Profilgruppe löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Nicht verwendete Team-Profilgruppe löschen",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/permission-groups
Team-Berechtigungsgruppen auflisten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Berechtigungsgruppen auflisten",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/permission-groups
Team-Berechtigungsgruppe erstellen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"permissions"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
},
"maxItems": 11,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Berechtigungsgruppe erstellen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"permissions"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
},
"maxItems": 11,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/permission-groups/{id}
Team-Berechtigungsgruppe ändern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"permissions"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
},
"maxItems": 11,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Berechtigungsgruppe ändern",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"permissions"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
},
"maxItems": 11,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"permissions",
"members"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"members": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/team/permission-groups/{id}
Nicht zugewiesene Team-Berechtigungsgruppe löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Nicht zugewiesene Team-Berechtigungsgruppe löschen",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/members/{id}/permission-group
Berechtigungsgruppe einem Teammitglied zuweisen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id"
],
"properties": {
"group_id": {
"anyOf": [
{
"type": "null"
},
{
"type": "string",
"minLength": 1,
"maxLength": 64
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id"
],
"properties": {
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Berechtigungsgruppe einem Teammitglied zuweisen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id"
],
"properties": {
"group_id": {
"anyOf": [
{
"type": "null"
},
{
"type": "string",
"minLength": 1,
"maxLength": 64
}
]
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id"
],
"properties": {
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/profiles/{id}/access
Empfängerauswahl einer Team-Freigabe
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member_ids",
"group_id"
],
"properties": {
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Empfängerauswahl einer Team-Freigabe",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member_ids",
"group_id"
],
"properties": {
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/profiles/{id}/access
Zugriff auf eine Team-Freigabe beschränken
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
},
"group_id": {
"anyOf": [
{
"type": "null"
},
{
"type": "string",
"minLength": 1,
"maxLength": 64
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member_ids",
"group_id"
],
"properties": {
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Zugriff auf eine Team-Freigabe beschränken",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"member_ids": {
"anyOf": [
{
"type": "null"
},
{
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 100,
"uniqueItems": true
}
]
},
"group_id": {
"anyOf": [
{
"type": "null"
},
{
"type": "string",
"minLength": 1,
"maxLength": 64
}
]
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member_ids",
"group_id"
],
"properties": {
"member_ids": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/team/members/{id}/role
Team-Rolle ändern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"role"
],
"properties": {
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Rolle ändern",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"role"
],
"properties": {
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/team/profiles/{id}/versions
Frühere Cloud-Versionen löschen und aktuellen Stand behalten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
base_version | query | Ja | |
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "base_version",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Frühere Cloud-Versionen löschen und aktuellen Stand behalten",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "base_version",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok",
"pending_bytes"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
},
"pending_bytes": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/profiles/{id}/versions
Zugängliche Versionen einer Team-Freigabe
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
before | query | Nein | |
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "before",
"required": false
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"next_before"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"version",
"size",
"updated_at",
"name",
"scope",
"kernel",
"synced_by"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": [
"string",
"null"
]
},
"version": {
"type": "integer"
},
"size": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"name": {
"type": "string"
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"kernel": {
"type": [
"string",
"null"
]
},
"synced_by": {
"type": [
"string",
"null"
]
}
}
}
},
"next_before": {
"type": [
"integer",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Zugängliche Versionen einer Team-Freigabe",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "before",
"required": false
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"next_before"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"version",
"size",
"updated_at",
"name",
"scope",
"kernel",
"synced_by"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": [
"string",
"null"
]
},
"version": {
"type": "integer"
},
"size": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"name": {
"type": "string"
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"kernel": {
"type": [
"string",
"null"
]
},
"synced_by": {
"type": [
"string",
"null"
]
}
}
}
},
"next_before": {
"type": [
"integer",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/profiles/{id}/versions/{version}/restore
Frühere Cloud-Version im bestehenden Profil wiederherstellen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
version | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"row_version"
],
"properties": {
"profile_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"row_version": {
"type": "integer",
"minimum": 1
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"version",
"published",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"published": {
"type": "boolean"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Frühere Cloud-Version im bestehenden Profil wiederherstellen",
"tags": [
"Team"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"row_version"
],
"properties": {
"profile_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"row_version": {
"type": "integer",
"minimum": 1
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"version",
"published",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"published": {
"type": "boolean"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/profiles/{id}/versions/{version}/download
Frühere Team-Version als unabhängige lokale Kopie laden
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
version | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"version"
],
"properties": {
"profile_id": {
"type": "string"
},
"version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Frühere Team-Version als unabhängige lokale Kopie laden",
"tags": [
"Team"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "path",
"name": "version",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"profile_id",
"version"
],
"properties": {
"profile_id": {
"type": "string"
},
"version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team
Team- und Synchronisierungsstatus
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
"target_team": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"transfer"
]
},
{
"type": "string",
"enum": [
"share"
]
}
]
},
"completed": {
"type": "boolean"
}
}
}
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"phase",
"started_at",
"updated_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"preparing"
]
},
{
"type": "string",
"enum": [
"uploading"
]
},
{
"type": "string",
"enum": [
"downloading"
]
},
{
"type": "string",
"enum": [
"applying"
]
}
]
},
"started_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team- und Synchronisierungsstatus",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
"target_team": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"transfer"
]
},
{
"type": "string",
"enum": [
"share"
]
}
]
},
"completed": {
"type": "boolean"
}
}
}
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"phase",
"started_at",
"updated_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"preparing"
]
},
{
"type": "string",
"enum": [
"uploading"
]
},
{
"type": "string",
"enum": [
"downloading"
]
},
{
"type": "string",
"enum": [
"applying"
]
}
]
},
"started_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/info
Team-Mitgliedschaft und Speicherlimit
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member",
"quota",
"used",
"accounting"
],
"properties": {
"member": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key",
"permissions",
"permission_group_id"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"permission_group_id": {
"type": [
"string",
"null"
]
}
}
},
"quota": {
"type": "integer"
},
"used": {
"type": "integer"
},
"accounting": {
"anyOf": [
{
"type": "object",
"required": [
"pending",
"error"
],
"properties": {
"pending": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Mitgliedschaft und Speicherlimit",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"member",
"quota",
"used",
"accounting"
],
"properties": {
"member": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key",
"permissions",
"permission_group_id"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"permission_group_id": {
"type": [
"string",
"null"
]
}
}
},
"quota": {
"type": "integer"
},
"used": {
"type": "integer"
},
"accounting": {
"anyOf": [
{
"type": "object",
"required": [
"pending",
"error"
],
"properties": {
"pending": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/members
Team-Mitglieder
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key",
"permissions",
"permission_group_id"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"permission_group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Team-Mitglieder",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"role",
"public_key",
"permissions",
"permission_group_id"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"editor"
]
},
{
"type": "string",
"enum": [
"viewer"
]
}
]
},
"public_key": {
"type": "string"
},
"principal_id": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"profiles:read"
]
},
{
"type": "string",
"enum": [
"profiles:create"
]
},
{
"type": "string",
"enum": [
"profiles:publish"
]
},
{
"type": "string",
"enum": [
"profiles:hosted"
]
},
{
"type": "string",
"enum": [
"profiles:delete"
]
},
{
"type": "string",
"enum": [
"profiles:history_delete"
]
},
{
"type": "string",
"enum": [
"workflows:share"
]
},
{
"type": "string",
"enum": [
"members:manage"
]
},
{
"type": "string",
"enum": [
"vaults:read"
]
},
{
"type": "string",
"enum": [
"vaults:publish"
]
},
{
"type": "string",
"enum": [
"vaults:delete"
]
}
]
}
},
"permission_group_id": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/team/profiles
Für dieses Mitglied verschlüsselte Profile
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"version",
"size",
"updated_at",
"name",
"scope"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": [
"string",
"null"
]
},
"version": {
"type": "integer"
},
"size": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"name": {
"type": "string"
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Für dieses Mitglied verschlüsselte Profile",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"version",
"size",
"updated_at",
"name",
"scope"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": [
"string",
"null"
]
},
"version": {
"type": "integer"
},
"size": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"name": {
"type": "string"
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/team/cloud/connect
Cloud-Abgleich mit dem angemeldeten Kontoteam verbinden
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
"target_team": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"transfer"
]
},
{
"type": "string",
"enum": [
"share"
]
}
]
},
"completed": {
"type": "boolean"
}
}
}
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"phase",
"started_at",
"updated_at"
],
"properties": {
"profile_id": {
"type": "string"
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"preparing"
]
},
{
"type": "string",
"enum": [
"uploading"
]
},
{
"type": "string",
"enum": [
"downloading"
]
},
{
"type": "string",
"enum": [
"applying"
]
}
]
},
"started_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Cloud-Abgleich mit dem angemeldeten Kontoteam verbinden",
"tags": [
"Team"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"connected",
"local_connection",
"cloud_team_id",
"profile_sync",
"key_sync",
"hosting",
"server_url",
"links",
"group_sync",
"busy",
"cross_team_transfers",
"transfers"
],
"properties": {
"connected": {
"type": "boolean"
},
"local_connection": {
"type": "boolean"
},
"cloud_team_id": {
"type": [
"string",
"null"
]
},
"profile_sync": {
"type": "object",
"required": [
"running",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"key_sync": {
"type": "object",
"required": [
"running",
"checked",
"updated",
"last_synced",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"checked": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"last_synced": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
"hosting": {
"type": "boolean"
},
"server_url": {
"type": [
"string",
"null"
]
},
"links": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"remote_id",
"version",
"error"
],
"properties": {
"profile_id": {
"type": "string"
},
"remote_id": {
"type": "string"
},
"version": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
},
"warning": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "string",
"enum": [
"profile"
]
},
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
},
"dirty": {
"type": "boolean"
},
"auto_blocked": {
"type": "boolean"
},
"synced_seq": {
"type": "integer"
},
"synced_stamp": {
"type": "string"
}
}
}
},
"group_sync": {
"type": "array",
"items": {
"type": "object",
"required": [
"group_id",
"remote_group_id",
"mode"
],
"properties": {
"group_id": {
"type": "string"
},
"remote_group_id": {
"type": "string"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"cookies"
]
},
{
"type": "string",
"enum": [
"browser"
]
}
]
}
}
}
},
"busy": {
"type": "array",
"items": {
"type": "string"
}
},
"cross_team_transfers": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"target_team",
"mode",
"completed"
],
"properties": {
"profile_id": {
"type": "string"
},
[...]
